import { RestApiRequest, RestApiRoute, RestPathParams, RestQueryParams, RestRequestBody, RestRequestHeaders, RestRequestHeadersWithAuthentication, RestRequireAuthentication, RestResponseBody } from './types';
import { RequiredOnly } from './types/internal/RequiredOnly';
export declare function fetchRestApi<PathParams extends RestPathParams, QueryParams extends RestQueryParams, RequestHeaders extends RestRequestHeaders, RequestBody extends RestRequestBody, ResponseBody extends RestResponseBody, RequireAuthentication extends RestRequireAuthentication>(restApiUrl: string, route: RestApiRoute<PathParams, QueryParams, RequestHeaders, RequestBody, ResponseBody, RequireAuthentication>, request: RequiredOnly<RestApiRequest<PathParams, QueryParams, RestRequestHeadersWithAuthentication<RequestHeaders, RequireAuthentication>, RequestBody>>): Promise<ResponseBody>;
