import { RestRequestHeaders, RestRequireAuthentication } from './';
export type AuthenticationHeader = {
    Authentication: `Bearer ${string}`;
};
export type RestRequestHeadersWithAuthentication<RequestHeaders extends RestRequestHeaders, RequireAuthentication extends RestRequireAuthentication> = RequireAuthentication extends true ? RequestHeaders extends never ? AuthenticationHeader : RequestHeaders & AuthenticationHeader : RequestHeaders;
