import { RestPathParams, RestQueryParams, RestRequestBody, RestRequestHeaders, RestRequireAuthentication } from '../common';
import { RequiredOnly } from './RequiredOnly';
import { RestApiRequest } from '../RestApiRequest';
export type InternalRestApiRequest<PathParams extends RestPathParams = never, QueryParams extends RestQueryParams = never, RequestHeaders extends RestRequestHeaders = never, RequestBody extends RestRequestBody = never, RequireAuthentication extends RestRequireAuthentication = false> = RequiredOnly<RestApiRequest<PathParams, QueryParams, RequestHeaders, RequestBody> & {
    userId: RequireAuthentication extends true ? string : never;
}>;
